# 🧹 Drupal User Cleanup & Notification Tool

To narzędzie służy do:
- filtrowania nieaktywnych użytkowników w bazie Drupala 6,
- generowania raportów CSV/Excel,
- walidacji adresów e-mail,
- wysyłki maili ostrzegawczych przez SMTP,
- usuwania nieaktywnych kont.

---

## 📦 Wymagania

- Python 3.8+
- Zainstalowane pakiety z `requirements.txt`
- Plik `.env` z konfiguracją SMTP i bazy danych
- Szablon HTML: `mail_template.html`

---

## ⚙️ Przykładowy `.env`

```
DB_HOST=localhost
DB_USER=drupal_user
DB_PASSWORD=secret
DB_NAME=drupal

SMTP_HOST=smtp.yourdomain.com
SMTP_PORT=587
SMTP_USER=mailer@yourdomain.com
SMTP_PASSWORD=supersecret

DRUPAL_PATH=/var/www/html
```

---

## 🚀 Przykłady użycia

### 🔎 Tryb podglądu:
```bash
python3 app.py --days-inactive 730 --dry-run
```

### 🧹 Usuwanie użytkowników:
```bash
python3 app.py --days-inactive 730 --delete --drupal-path /var/www/html
```

### 📧 Testowy e-mail:
```bash
python3 app.py --send-test test@example.com
```

### 📤 Wysyłka maili do użytkowników:
```bash
python3 app.py --send-mails --mails-per-pack 100 --time-per-pack 60
```

### 📊 Raport domen:
```bash
python3 app.py --report-domains
```

---

## 📁 Wyniki

- `user_cleanup_results_YYYY-MM-DD_HHMM.csv` – lista użytkowników.
- `user_cleanup_results_YYYY-MM-DD_HHMM.xlsx` – opcjonalnie Excel.
- `user_cleanup.log` – log operacji.

---

## 🛑 Uwaga

Narzędzie **nie usuwa** użytkowników z punktami lub treściami. Filtrowanie jest ostrożne i bezpieczne.

---

## ✉️ Kontakt

Jeśli masz pytania – napisz do administratora systemu lub autora skryptu.